# OpenLayers.Format.OWSContext.v0_3_1

Read and write OWSContext version 0.3.1.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.OWSContext.v0_3_1 | Read and write OWSContext version 0.3.1.
Constants |
VERSION | {String} 0.3.1
Properties |
extractAttributes | {Boolean} Extract attributes from GML.
xy | {Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.
Constructor |
OpenLayers.Format.OWSContext.v0_3_1 | Instances of this class are not created directly.
Functions |
read | Read OWS context data from a string or DOMElement, and return a list of layers.
write |

### Constants

### VERSION

{String} 0.3.1

### Properties

### extractAttributes

{Boolean} Extract attributes from GML. Default is true.

### xy

{Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.

### Constructor

### OpenLayers.Format.OWSContext.v0_3_1

Instances of this class are not created directly. Use the OpenLayers.Format.OWSContext constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read OWS context data from a string or DOMElement, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} The context object with a flat layer list as a property named layersContext.

### write

> write: function( | context,
> | options | )

#### Parameters

context | {Object} An object representing the map context.
options | {Object} Optional object.

#### Returns

{String} An OWS Context document string.

> read: function( | data | )

Read OWS context data from a string or DOMElement, and return a list of layers.

> write: function( | context,
> | options | )

Read and write XML.
Read and write OWS Context documents.
Close